> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Virtual Receptionist

> Get a single virtual receptionist by ID, including announcements and destinations



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/admin/virtual-receptionist/{id}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/virtual-receptionist/{id}:
    get:
      tags:
        - Virtual Receptionist
      summary: Get Virtual Receptionist
      description: >-
        Get a single virtual receptionist by ID, including announcements and
        destinations
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Virtual receptionist details
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                  tenantId:
                    anyOf:
                      - type: number
                      - type: 'null'
                  name:
                    anyOf:
                      - type: string
                      - type: 'null'
                  timeout:
                    anyOf:
                      - type: number
                      - type: 'null'
                  loopOnTimeout:
                    anyOf:
                      - type: string
                      - type: 'null'
                  loopOnWrongKeyPress:
                    anyOf:
                      - type: string
                      - type: 'null'
                  loopPlayMessageOnce:
                    anyOf:
                      - type: string
                      - type: 'null'
                  allowExtensionDialing:
                    anyOf:
                      - type: string
                      - type: 'null'
                  maxLoops:
                    anyOf:
                      - type: number
                      - type: 'null'
                  enableSpeechDetect:
                    anyOf:
                      - type: number
                      - type: 'null'
                  announcements:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          anyOf:
                            - type: number
                            - type: 'null'
                        name:
                          anyOf:
                            - type: string
                            - type: 'null'
                        description:
                          anyOf:
                            - type: string
                            - type: 'null'
                        active:
                          anyOf:
                            - type: number
                            - type: 'null'
                        tenantId:
                          anyOf:
                            - type: number
                            - type: 'null'
                        mediaFileId:
                          anyOf:
                            - type: number
                            - type: 'null'
                        startDate:
                          anyOf:
                            - type: string
                            - type: 'null'
                        endDate:
                          anyOf:
                            - type: string
                            - type: 'null'
                        order:
                          anyOf:
                            - type: number
                            - type: 'null'
                      required:
                        - id
                        - name
                        - description
                        - active
                        - tenantId
                        - mediaFileId
                        - startDate
                        - endDate
                        - order
                      additionalProperties: {}
                  branch:
                    type: object
                    properties:
                      id:
                        type: number
                      name:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - id
                      - name
                    additionalProperties: {}
                    description: Resolved branch
                  greetingDestinations:
                    type: array
                    items:
                      type: object
                      properties:
                        typeSrc:
                          type: string
                        destType:
                          type: string
                        id:
                          type: number
                        order:
                          anyOf:
                            - type: number
                            - type: 'null'
                        name:
                          type: string
                        number:
                          type: string
                      required:
                        - typeSrc
                        - destType
                        - id
                        - order
                      additionalProperties: {}
                  keyPressDestinations:
                    type: array
                    items:
                      type: object
                      properties:
                        typeSrc:
                          type: string
                        destType:
                          type: string
                        id:
                          type: number
                        order:
                          anyOf:
                            - type: number
                            - type: 'null'
                        name:
                          type: string
                        number:
                          type: string
                      required:
                        - typeSrc
                        - destType
                        - id
                        - order
                      additionalProperties: {}
                  timeoutDestinations:
                    type: array
                    items:
                      type: object
                      properties:
                        typeSrc:
                          type: string
                        destType:
                          type: string
                        id:
                          type: number
                        order:
                          anyOf:
                            - type: number
                            - type: 'null'
                        name:
                          type: string
                        number:
                          type: string
                      required:
                        - typeSrc
                        - destType
                        - id
                        - order
                      additionalProperties: {}
                required:
                  - id
                  - tenantId
                  - name
                  - timeout
                  - loopOnTimeout
                  - loopOnWrongKeyPress
                  - loopPlayMessageOnce
                  - allowExtensionDialing
                  - maxLoops
                  - enableSpeechDetect
                  - branch
                additionalProperties: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````